AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Video generationVidu

Text-to-video

Create a text-to-video task through the Vidu native API.

The request body preserves Vidu's native payload structure, while the platform handles API key authentication and request forwarding.

POST/vidu/ent/v2/text2video

The platform handles authentication and intelligent routing, while the request payload is passed through using Vidu native fields.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization header.

In: header

Request Body

application/json

Vidu native text-to-video request.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json